# params

## Name

params — Parameters for a normal surface enumeration

## Synopsis

Content Model

    params ::=

Attributes
Name | Type
`embedded` | CDATA (required)
`flavour` | CDATA
`flavourid` | NUMBER (required)

## Description

A `params` element stores the parameters used in an enumeration of vertex normal surfaces. Typically these parameters are supplied by the user when a new normal surface list is created.

### Parents

The following elements contain `param`: `packet` (normal surface list).

### Children

Element `params` has no children.

## Attributes

`embedded`

  Either `T` if only embedded normal surfaces are enumerated, or `F` if all (embedded, immersed and singular) normal surfaces are enumerated.

`flavour`

  The flavour of coordinate system used in the normal surface enumeration, expressed as a human-readable string. Example flavours are `Quad normal` and `Standard almost normal (tri-quad-oct)`.

`flavourid`

  The flavour of coordinate system used in the normal surface numeration, expressed as an internal identification code. This will be a non-negative integer.